<template>
  <v-row justify="center" class="mb-4">
    <v-col cols="12" md="12">
      <v-text-field
        v-model="profile.title"
        label="You main practice"
        single-line
        outlined
        hide-details="auto"
        @change="$emit('update', 'title', profile.title)"
      />
      <span class="caption"
        >E.g. Art Therapy, Conflict resolution facilitators</span
      >
    </v-col>
    <v-col cols="12" md="12">
      <v-textarea
        v-model="profile.about"
        rows="10"
        label="Tell user about yourslef"
        outlined
        hide-details="auto"
        @change="$emit('update', 'about', profile.about)"
      />
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'About',
  components: {},
  props: {
    next: { type: Function },
    update: { type: Function },
    profile: { type: Object }
  },
  data: () => ({}),
  computed: {},
  methods: {}
}
</script>

<style lang="scss">
.skip {
  text-align: center;
  color: #428a16;
}
</style>
